# hey Emacs, its -*- rpm-spec -*-
# $Id: krb5,v 1.16 2003/01/27 16:00:09 ab Exp $
%define _configure_target --host %_target_platform
%set_autoconf_version 2.5
%set_automake_version 1.6

Summary: The Kerberos network authentication system.
Name: krb5
Version: 1.2.5.1
Release: alt2
License: MIT, freely distributable.
Group: System/Libraries
URL: http://web.mit.edu/kerberos/www/

Source0: krb5-current.tar.bz2
Source1: kpropd.init
Source2: krb524d.init
Source3: kadmind.init
Source4: krb5kdc.init
Source5: krb5.conf
Source8: kdcrotate
Source9: kdc.conf
Source10: kadm5.acl
Source13: eklogin.xinetd
Source14: klogin.xinetd
Source15: kshell.xinetd
Source16: krb5-telnet.xinetd
Source17: gssftp.xinetd
Source19: statglue.c
Patch0: krb5-1.2.1-passive.patch
Patch1: krb5-1.2.2-size.patch
Patch2: krb5-1.2.2-statglue.patch
Patch3: krb5-1.2.5.1-samba.patch
Patch4: krb5-1.2-ksu.patch
Patch5: krb5-changepaths.patch
Patch6: krb5-send-pr.patch
Patch7: krb5-shared-rpath.patch

Prereq: grep, info, sh-utils, /sbin/install-info

# Automatically added by buildreq on Mon Dec 30 2002
BuildRequires: flex libncurses-devel tcl libtinfo-devel tcl-devel
BuildRequires: autoconf_2.5 automake_1.6
# expect

%description
Kerberos V5 is a trusted-third-party network authentication system,
which can improve your network's security by eliminating the insecure
practice of cleartext passwords.

%package -n lib%name-devel
Summary: Development files needed to compile Kerberos 5 programs.
Group: System/Libraries
Requires: lib%name = %version-%release

%description -n lib%name-devel
Kerberos is a network authentication system. The krb5-devel package
contains the header files and libraries needed for compiling Kerberos
5 programs. If you want to develop Kerberos-aware programs, you need
to install this package.

%package -n lib%name
Summary: The shared libraries used by Kerberos 5.
Group: System/Libraries
Prereq: grep, glibc-core, sh-utils

%description -n lib%name
Kerberos is a network authentication system. The krb5-libs package
contains the shared libraries needed by Kerberos 5. If you are using
Kerberos, you need to install this package.

%package server
Group: System/Servers
Summary: The server programs for Kerberos 5.
Requires: lib%name = %version-%release %name-workstation = %version-%release
Prereq: grep info-install /bin/sh sh-utils

%description server
Kerberos is a network authentication system. The krb5-server package
contains the programs that must be installed on a Kerberos 5 server.
If you are installing a Kerberos 5 server, you need to install this
package (in other words, most people should NOT install this
package).

%package workstation
Summary: Kerberos 5 programs for use on workstations.
Group: System/Base
Requires: lib%name = %version-%release
Prereq: grep info-install /bin/sh sh-utils

%description workstation
Kerberos is a network authentication system. The krb5-workstation
package contains the basic Kerberos programs (kinit, klist, kdestroy,
kpasswd) as well as kerberized versions of Telnet and FTP. If your
network uses Kerberos, this package should be installed on every
workstation.


%prep
%setup -q -n %name-current
%patch0  -p1
%patch1  -p1
%patch2  -p1
#%patch3  -p1
%patch4  -p1
%patch5  -p1
%patch6  -p1
%patch7  -p1

%__cp %SOURCE19 src/util/profile/statglue.c
find . -type f -name "*.fixinfo" -exec %__rm -fv {} \;
%__gzip doc/*.ps

%build
cd src

%__cat <<EOF >patchlevel.h
#define KRB5_MAJOR_RELEASE 1
#define KRB5_MINOR_RELEASE 2
#define KRB5_PATCHLEVEL    5
EOF

# Can't use %%configure because we don't use the default mandir.
DEFINES="-D_FILE_OFFSET_BITS=64" ; export DEFINES
%configure \
	--enable-shared --enable-static \
	--localstatedir=%_var/kerberos \
	--with-krb4 \
	--enable-dns \
	--enable-dns-for-kdc \
	--enable-dns-for-realm \
	--with-netlib=-lresolv 
#	--with-tcl=%_prefix \
%__make LDCOMBINE='%{__cc} -shared -Wl,-soname=lib$(LIB)$(SHLIBSEXT) $(CFLAGS)'

# Run the test suite.  Won't run in the build system because /dev/pts is
# not available for telnet tests and so on.
# rm -f lib/rpc/unit-test/config
# mv -f lib/rpc/unit-test/config_exp lib/rpc/unit-test/config
# make check TMPDIR=%{_tmppath}

%install
# Shell scripts wrappers for Kerberized rsh and rlogin.
%__mkdir_p %buildroot%_bindir

%if 1
# Extra headers which are not installed by default.
%__mkdir_p %buildroot%_includedir/krb5
(cd src/include
	find kadm5 krb5 gssrpc gssapi -name "*.h" | \
	%__cpio -pdm  %buildroot/%_includedir/krb5 \
)
%__sed 's^k5-int^krb5/kdb^g' < %buildroot/%_includedir/krb5/kadm5/admin.h \
			  > %buildroot/%_includedir/krb5/kadm5/admin.h2 &&\
%__mv %buildroot/%_includedir/krb5/kadm5/admin.h2 \
      %buildroot/%_includedir/krb5/kadm5/admin.h
%endif

# Info docs.
%__mkdir_p %buildroot%_infodir
%__install -m 0644 doc/*.info* %buildroot%_infodir/

# Sample KDC config files.
%__mkdir_p %buildroot%_localstatedir/kerberos/krb5kdc
for i in %SOURCE9 %SOURCE10; do
	%__install -m 0644 $i %buildroot%_localstatedir/kerberos/krb5kdc/
done

# Sample client config files and login-time scriptlets.
%__mkdir_p %buildroot%_sysconfdir/profile.d
%__install -m 0644 %SOURCE5 %buildroot%_sysconfdir/krb5.conf

# Server init scripts.
%__mkdir_p %buildroot%_initdir
%__install -m 0755 %SOURCE4 %buildroot%_initdir/krb5kdc
%__install -m 0755 %SOURCE3 %buildroot%_initdir/kadmin
%__install -m 0755 %SOURCE1 %buildroot%_initdir/kprop
%__install -m 0755 %SOURCE2 %buildroot%_initdir/krb524
%__install -m 0755 %SOURCE8 %buildroot%_initdir

# Xinetd configuration files.
%__mkdir_p %buildroot%_sysconfdir/xinetd.d/
for xinetd in eklogin klogin kshell krb5-telnet gssftp ; do
	%__install -m 644 $RPM_SOURCE_DIR/$xinetd.xinetd \
	%buildroot%_sysconfdir/xinetd.d/$xinetd
done

# The rest of the binaries and libraries and docs.
cd src
%__make DESTDIR=%buildroot install

# Fixup permissions on header files.
find %buildroot/%_includedir -type d | xargs %__chmod 0755
find %buildroot/%_includedir -type f | xargs %__chmod 0644

# Fixup strange shared library permissions.
%__chmod 0755 %buildroot%_libdir/krb5/*.so*

pushd %buildroot%_bindir
	for i in ftp rcp rlogin rsh telnet uuclient; do
		%__mv -f $i %name-$i
	done
	%__mv -f krb524init %name-24init && %__ln_s %name-24init krb524init
popd
pushd %buildroot%_sbindir
	for i in ftpd telnetd uuserver; do
		 %__mv -f $i %name-$i
	done
	%__mv -f login.krb5 %name-login; %__ln_s %name-login login.krb5	
popd

%__subst "s|/usr/kerberos/sbin|%_sbindir|" %buildroot%_initdir/*
pushd %buildroot%_sysconfdir/xinetd.d/
	%__subst "s|/usr/kerberos/sbin|%_sbindir|" eklogin klogin kshell
	%__subst "s|/usr/kerberos/sbin/ftpd|%_sbindir/%name-ftpd|" gssftp
	%__subst "s|telnetd|%name-telnetd|" krb5-telnet
popd

# Fix documentation clashes
pushd %buildroot%_man1dir
for i in ftp rcp rlogin rsh telnet uuclient ; do
    if [ -f $i.1 ] ; then
	%__mv $i.1 %name-$i.1
    fi
done
popd

pushd %buildroot%_man8dir
for i in ftpd telnetd ; do
    if [ -f $i.8 ] ; then
	%__mv $i.8 %name-$i.8
    fi
done
%__ln_s login.krb5.8 %name-login.8
popd

%post -n lib%name 
if [ $1 = 1 ] ; then
/bin/grep -Fq %_libdir/krb5 %_sysconfdir/ld.so.conf || echo "%_libdir/krb5" >> %_sysconfdir/ld.so.conf 
/sbin/ldconfig
fi

%postun -n lib%name 
if [ $1 = 0 ] ; then 
    TEMPFILE=`mktemp`
    if [ -n "$TEMPFILE" ] ; then
	/bin/fgrep -v %_libdir/krb5 %_sysconfdir/ld.so.conf >> $TEMPFILE
        %__mv -f $TEMPFILE %_sysconfdir/ld.so.conf
	%__chmod 655 %_sysconfdir/ld.so.conf
        %__chown root:root %_sysconfdir/ld.so.conf
	/sbin/ldconfig
        %__rm -f $TEMPFILE
    fi
fi

%post server
	# Remove the init script for older servers.
	[ -x %_initdir/krb5server ] && /sbin/chkconfig --del krb5server
	# Install the new ones.
	for i in krb5kdc kadmin krb524 kprop; do
		/sbin/chkconfig --add $i
	done
	# Install info pages.
	%install_info {krb425,krb5-admin,krb5-install}.info

%preun server
if [ "$1" = "0" ] ; then
	for i in krb5kdc kadmin krb524 kprop; do
		/sbin/service $i stop > /dev/null 2>&1 || :
		/sbin/chkconfig --del $i
	done
	%uninstall_info {krb425,krb5-admin,krb5-install}.info
fi

%postun server
if [ "$1" -ge 1 ] ; then
	for i in  krb5kdc kadmin krb524 kprop; do
		/sbin/service $i condrestart > /dev/null 2>&1 || :
	done
fi

%post workstation
	%install_info krb5-user.info
	/sbin/service xinetd condreload > /dev/null 2>&1 || :

%preun workstation
if [ "$1" = "0" ] ; then
	%uninstall_info krb5-user.info
fi

%postun workstation
	/sbin/service xinetd condreload > /dev/null 2>&1 || :

%files workstation
%doc doc/krb5-user*.html doc/user*.ps.gz src/config-files/services.append
%doc src/config-files/convert-config-files
# %config %_sysconfdir/profile.d/krb5.sh
# %config %_sysconfdir/profile.d/krb5.csh
%config(noreplace) %_sysconfdir/xinetd.d/*
%_infodir/krb5-user.info*
%_bindir/%name-ftp
%_bindir/gss-client
%_bindir/kdestroy
%_bindir/kinit
%_bindir/klist
%_bindir/kpasswd
%_bindir/krb524init
%_bindir/%name-24init
%attr(755, root, root) %_bindir/ksu
%_bindir/kvno
%_bindir/%name-rcp
%_bindir/%name-rlogin
%_bindir/%name-rsh
%_bindir/%name-telnet
%_bindir/%name-uuclient
%attr(755, root, root) %_bindir/v4rcp
%_bindir/v5passwd
%_sbindir/gss-server
%_sbindir/kadmin
%_sbindir/klogind
%_sbindir/krb5-send-pr
%_sbindir/kshd
%_sbindir/ktutil
%_sbindir/login.krb5
%_man1dir/krb5-send-pr.1*
%_man1dir/v5passwd.1*
%_man1dir/v4rcp.1*
%_man1dir/%name-telnet.1*
%_man1dir/tmac.doc*
%_man1dir/%name-rsh.1*
%_man1dir/%name-rlogin.1*
%_man1dir/%name-rcp.1*
%_man1dir/ksu.1*
%_man1dir/%name-ftp.1*
%_man1dir/kdestroy.1*
%_man1dir/kerberos.1*
%_man1dir/kinit.1*
%_man1dir/klist.1*
%_man1dir/kpasswd.1*
%_man1dir/kvno.1*
%_man5dir/.k5login.5*
%_man5dir/krb5.conf.5*
%_man8dir/kadmin.8*
%_man8dir/ktutil.8*
%_man8dir/klogind.8*
%_man8dir/kshd.8*
%_man8dir/%name-telnetd.8*

%files server
%doc doc/admin*.ps.gz doc/krb5-admin*.html doc/krb425*.ps.gz
%doc doc/krb425*.html doc/install*.ps.gz doc/krb5-install*.html
%dir %_localstatedir/kerberos
%dir %_localstatedir/kerberos/krb5kdc
%config(noreplace) %_localstatedir/kerberos/krb5kdc/kdc.conf
%config(noreplace) %_localstatedir/kerberos/krb5kdc/kadm5.acl
%config %_initdir/krb5kdc
%config %_initdir/kadmin
%config %_initdir/krb524
%config %_initdir/kprop
%_sbindir/kadmin.local
%_sbindir/kadmind
%_sbindir/kadmind4
%_sbindir/kdb5_util
%_sbindir/kprop
%_sbindir/kpropd
%_sbindir/krb524d
%_sbindir/krb5kdc
%_sbindir/%name-ftpd
%_sbindir/%name-login
%_sbindir/%name-telnetd
%_sbindir/%name-uuserver
%_sbindir/v5passwdd
%_infodir/krb5-admin.info*
%_infodir/krb5-install.info*
%_infodir/krb425.info*
%_man5dir/kdc.conf.5*
%_man8dir/kadmin.local.8*
%_man8dir/kadmind.8*
%_man8dir/kdb5_util.8*
%_man8dir/kprop.8*
%_man8dir/kpropd.8*
%_man8dir/krb5kdc.8*
%_man8dir/%name-login.8*
%_man8dir/login.%name.8*
%_man8dir/%name-ftpd.8*

%files -n lib%name
%config %_initdir/kdcrotate
%config(noreplace) %_sysconfdir/krb5.conf
%_libdir/krb5/lib*.so.*.*
%dir %_libdir/krb5

%files -n lib%name-devel
%doc doc/api doc/implement doc/kadm5 doc/kadmin doc/krb5-protocol doc/rpc
%_includedir/krb5
%_libdir/krb5/lib*.a
%_libdir/krb5/lib*.so
%_bindir/sclient
%_bindir/krb5-config
%_bindir/sim_client
%_sbindir/sim_server
%_sbindir/sserver
%_man1dir/sclient.1*
%_man8dir/sserver.8*

%changelog
* Mon Jan 27 2003 Alexander Bokovoy <ab@altlinux.ru> 1.2.5.1-alt2
- Merge AW changes with Sisyphus

* Mon Jan 20 2003 Grigory Milev <week@altlinux.ru> 1.2.5.1-5aw
- spec cleanup

* Thu Jan  9 2003 Grigory Milev <week@altlinux.ru> 1.2.5.1-4aw
- AW adaptations

* Mon Dec 30 2002 Alexander Bokovoy <ab@altlinux.ru> 1.2.5.1-alt1
- Integrate krb5-current into Sisyphus
- Patch list revised
- Move various samples to libkrb5-devel

* Wed Sep 04 2002 Alexander Bokovoy <ab@optifacio.com> 1.2.5.1-1aw
- Integrate krb5-current to get access to enc.type 23
- remove libtinfo/samba support as it is not required yet.

* Mon Aug 05 2002 Alexander Bokovoy <ab@altlinux.ru> 1.2.5-alt1
- New release
- Fixed:
    + MITKRB5-SA-2002-001: Remote root vulnerability in MIT krb5 admin system
- Added but not compiled in yet:
    + A patch from Andrew Tridgell to better support Samba 3.0 ADS mode

* Thu Jul 18 2002 Alexander Bokovoy <ab@altlinux.ru> 1.2.2-alt7
- Build against libtinfo, get rid of termcap/ncurses

* Sat Mar 02 2002 Alexander Bokovoy <ab@altlinux.ru> 1.2.2-alt6
- Fixed:
    + %_includedir/krb5 ownership

* Thu Jan 03 2002 Alexander Bokovoy <ab@altlinux.ru> 1.2.2-alt5
- Fixed:
    + documentation clashes with overriden utilites

* Tue Dec 18 2001 Alexander Bokovoy <ab@altlinux.ru> 1.2.2-alt4
- Fixed:
    + paths in xinet.d services
    + /var/kerberos moved to %_localstatedir/kerberos (FHS)
    
* Mon Dec 17 2001 Alexander Bokovoy <ab@altlinux.ru> 1.2.2-alt3
- Fixed:
    + postin/un scripts for lib%name

* Sat Dec 15 2001 Alexander Bokovoy <ab@altlinux.ru> 1.2.2-alt2
- Fixed:
    + Info pages for server/workstation

* Tue Dec 11 2001 Alexander Bokovoy <ab@altlinux.ru> 1.2.2-alt1
- Initial build for ALT Linux based on Applianceware version
- Fixed:
    + all libs moved to %_libdir/krb5/, includes to %_includedir/krb5
    + postinstall/postuninstall scripts for libs
    + dependencies for several sub-packages to eliminate file deps.
    + krb5-send-pr to not expose direct Requires: to nis/yp utils
- Packages renamed:
    + %name-libs -> lib%name
    + %name-devel -> lib%name-devel

* Fri Aug  3 2001 Nalin Dahyabhai <nalin@redhat.com>
- bump release number and rebuild

* Wed Aug  1 2001 Nalin Dahyabhai <nalin@redhat.com>
- add patch to fix telnetd vulnerability

* Fri Jul 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- tweak statglue.c to fix stat/stat64 aliasing problems
- be cleaner in use of gcc to build shlibs

* Wed Jul 11 2001 Nalin Dahyabhai <nalin@redhat.com>
- use gcc to build shared libraries

* Wed Jun 27 2001 Nalin Dahyabhai <nalin@redhat.com>
- add patch to support "ANY" keytab type (i.e.,
  "default_keytab_name = ANY:FILE:/etc/krb5.keytab,SRVTAB:/etc/srvtab"
  patch from Gerald Britton, #42551)
- build with -D_FILE_OFFSET_BITS=64 to get large file I/O in ftpd (#30697)
- patch ftpd to use long long and %%lld format specifiers to support the SIZE
  command on large files (also #30697)
- don't use LOG_AUTH as an option value when calling openlog() in ksu (#45965)
- implement reload in krb5kdc and kadmind init scripts (#41911)
- lose the krb5server init script (not using it any more)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue May 29 2001 Nalin Dahyabhai <nalin@redhat.com>
- pass some structures by address instead of on the stack in krb5kdc

* Tue May 22 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Thu Apr 26 2001 Nalin Dahyabhai <nalin@redhat.com>
- add patch from Tom Yu to fix ftpd overflows (#37731)

* Wed Apr 18 2001 Than Ngo <than@redhat.com>
- disable optimizations on the alpha again

* Fri Mar 30 2001 Nalin Dahyabhai <nalin@redhat.com>
- add in glue code to make sure that libkrb5 continues to provide a
  weak copy of stat()

* Thu Mar 15 2001 Nalin Dahyabhai <nalin@redhat.com>
- build alpha with -O0 for now

* Thu Mar  8 2001 Nalin Dahyabhai <nalin@redhat.com>
- fix the kpropd init script

* Mon Mar  5 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.2.2, which fixes some bugs relating to empty ETYPE-INFO
- re-enable optimization on Alpha

* Thu Feb  8 2001 Nalin Dahyabhai <nalin@redhat.com>
- build alpha with -O0 for now
- own %{_var}/kerberos

* Tue Feb  6 2001 Nalin Dahyabhai <nalin@redhat.com>
- own the directories which are created for each package (#26342)

* Tue Jan 23 2001 Nalin Dahyabhai <nalin@redhat.com>
- gettextize init scripts

* Fri Jan 19 2001 Nalin Dahyabhai <nalin@redhat.com>
- add some comments to the ksu patches for the curious
- re-enable optimization on alphas

* Mon Jan 15 2001 Nalin Dahyabhai <nalin@redhat.com>
- fix krb5-send-pr (#18932) and move it from -server to -workstation
- buildprereq libtermcap-devel
- temporariliy disable optimization on alphas
- gettextize init scripts

* Tue Dec  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- force -fPIC

* Fri Dec  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Tue Oct 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- add bison as a BuildPrereq (#20091)

* Mon Oct 30 2000 Nalin Dahyabhai <nalin@redhat.com>
- change /usr/dict/words to /usr/share/dict/words in default kdc.conf (#20000)

* Thu Oct  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- apply kpasswd bug fixes from David Wragg

* Wed Oct  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- make krb5-libs obsolete the old krb5-configs package (#18351)
- don't quit from the kpropd init script if there's no principal database so
  that you can propagate the first time without running kpropd manually
- don't complain if /etc/ld.so.conf doesn't exist in the -libs %post

* Tue Sep 12 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix credential forwarding problem in klogind (goof in KRB5CCNAME handling)
  (#11588)
- fix heap corruption bug in FTP client (#14301)

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix summaries and descriptions
- switched the default transfer protocol from PORT to PASV as proposed on
  bugzilla (#16134), and to match the regular ftp package's behavior

* Wed Jul 19 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to compress man pages.

* Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Fri Jul 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- disable servers by default to keep linuxconf from thinking they need to be
  started when they don't

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- change cleanup code in post to not tickle chkconfig
- add grep as a Prereq: for -libs

* Thu Jul  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- move condrestarts to postun
- make xinetd configs noreplace
- add descriptions to xinetd configs
- add /etc/init.d as a prereq for the -server package
- patch to properly truncate $TERM in krlogind

* Fri Jun 30 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.2.1
- back out Tom Yu's patch, which is a big chunk of the 1.2 -> 1.2.1 update
- start using the official source tarball instead of its contents

* Thu Jun 29 2000 Nalin Dahyabhai <nalin@redhat.com>
- Tom Yu's patch to fix compatibility between 1.2 kadmin and 1.1.1 kadmind
- pull out 6.2 options in the spec file (sonames changing in 1.2 means it's not
  compatible with other stuff in 6.2, so no need)

* Wed Jun 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- tweak graceful start/stop logic in post and preun

* Mon Jun 26 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to the 1.2 release
- ditch a lot of our patches which went upstream
- enable use of DNS to look up things at build-time
- disable use of DNS to look up things at run-time in default krb5.conf
- change ownership of the convert-config-files script to root.root
- compress PS docs
- fix some typos in the kinit man page
- run condrestart in server post, and shut down in preun

* Mon Jun 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- only remove old krb5server init script links if the init script is there

* Sat Jun 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- disable kshell and eklogin by default

* Thu Jun 15 2000 Nalin Dahyabhai <nalin@redhat.com>
- patch mkdir/rmdir problem in ftpcmd.y
- add condrestart option to init script
- split the server init script into three pieces and add one for kpropd

* Wed Jun 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- make sure workstation servers are all disabled by default
- clean up krb5server init script

* Fri Jun  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- apply second set of buffer overflow fixes from Tom Yu
- fix from Dirk Husung for a bug in buffer cleanups in the test suite
- work around possibly broken rev binary in running test suite
- move default realm configs from /var/kerberos to %{_var}/kerberos

* Tue Jun  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- make ksu and v4rcp owned by root

* Sat Jun  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- use %%{_infodir} to better comply with FHS
- move .so files to -devel subpackage
- tweak xinetd config files (bugs #11833, #11835, #11836, #11840)
- fix package descriptions again

* Wed May 24 2000 Nalin Dahyabhai <nalin@redhat.com>
- change a LINE_MAX to 1024, fix from Ken Raeburn
- add fix for login vulnerability in case anyone rebuilds without krb4 compat
- add tweaks for byte-swapping macros in krb.h, also from Ken
- add xinetd config files
- make rsh and rlogin quieter
- build with debug to fix credential forwarding
- add rsh as a build-time req because the configure scripts look for it to
  determine paths

* Wed May 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix config_subpackage logic

* Tue May 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- remove setuid bit on v4rcp and ksu in case the checks previously added
  don't close all of the problems in ksu
- apply patches from Jeffrey Schiller to fix overruns Chris Evans found
- reintroduce configs subpackage for use in the errata
- add PreReq: sh-utils

* Mon May 15 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix double-free in the kdc (patch merged into MIT tree)
- include convert-config-files script as a documentation file

* Wed May 03 2000 Nalin Dahyabhai <nalin@redhat.com>
- patch ksu man page because the -C option never works
- add access() checks and disable debug mode in ksu
- modify default ksu build arguments to specify more directories in CMD_PATH
  and to use getusershell()

* Wed May 03 2000 Bill Nottingham <notting@redhat.com>
- fix configure stuff for ia64

* Mon Apr 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- add LDCOMBINE=-lc to configure invocation to use libc versioning (bug #10653)
- change Requires: for/in subpackages to include %{version}

* Wed Apr 05 2000 Nalin Dahyabhai <nalin@redhat.com>
- add man pages for kerberos(1), kvno(1), .k5login(5)
- add kvno to -workstation

* Mon Apr 03 2000 Nalin Dahyabhai <nalin@redhat.com>
- Merge krb5-configs back into krb5-libs.  The krb5.conf file is marked as
  a %%config file anyway.
- Make krb5.conf a noreplace config file.

* Thu Mar 30 2000 Nalin Dahyabhai <nalin@redhat.com>
- Make klogind pass a clean environment to children, like NetKit's rlogind does.

* Wed Mar 08 2000 Nalin Dahyabhai <nalin@redhat.com>
- Don't enable the server by default.
- Compress info pages.
- Add defaults for the PAM module to krb5.conf

* Mon Mar 06 2000 Nalin Dahyabhai <nalin@redhat.com>
- Correct copyright: it's exportable now, provided the proper paperwork is
  filed with the government.

* Fri Mar 03 2000 Nalin Dahyabhai <nalin@redhat.com>
- apply Mike Friedman's patch to fix format string problems
- don't strip off argv[0] when invoking regular rsh/rlogin

* Thu Mar 02 2000 Nalin Dahyabhai <nalin@redhat.com>
- run kadmin.local correctly at startup

* Mon Feb 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- pass absolute path to kadm5.keytab if/when extracting keys at startup

* Sat Feb 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix info page insertions

* Wed Feb  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- tweak server init script to automatically extract kadm5 keys if
  /var/kerberos/krb5kdc/kadm5.keytab doesn't exist yet
- adjust package descriptions

* Thu Feb  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix for potentially gzipped man pages

* Fri Jan 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix comments in krb5-configs

* Fri Jan  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- move /usr/kerberos/bin to end of PATH

* Tue Dec 28 1999 Nalin Dahyabhai <nalin@redhat.com>
- install kadmin header files

* Tue Dec 21 1999 Nalin Dahyabhai <nalin@redhat.com>
- patch around TIOCGTLC defined on alpha and remove warnings from libpty.h
- add installation of info docs
- remove krb4 compat patch because it doesn't fix workstation-side servers

* Mon Dec 20 1999 Nalin Dahyabhai <nalin@redhat.com>
- remove hesiod dependency at build-time

* Sun Dec 19 1999 Nalin Dahyabhai <nsdahya1@eos.ncsu.edu>
- rebuild on 1.1.1

* Thu Oct  7 1999 Nalin Dahyabhai <nsdahya1@eos.ncsu.edu>
- clean up init script for server, verify that it works [jlkatz]
- clean up rotation script so that rc likes it better
- add clean stanza

* Mon Oct  4 1999 Nalin Dahyabhai <nsdahya1@eos.ncsu.edu>
- backed out ncurses and makeshlib patches
- update for krb5-1.1
- add KDC rotation to rc.boot, based on ideas from Michael's C version

* Mon Sep 26 1999 Nalin Dahyabhai <nsdahya1@eos.ncsu.edu>
- added -lncurses to telnet and telnetd makefiles

* Mon Jul  5 1999 Nalin Dahyabhai <nsdahya1@eos.ncsu.edu>
- added krb5.csh and krb5.sh to /etc/profile.d

* Mon Jun 22 1999 Nalin Dahyabhai <nsdahya1@eos.ncsu.edu>
- broke out configuration files

* Mon Jun 14 1999 Nalin Dahyabhai <nsdahya1@eos.ncsu.edu>
- fixed server package so that it works now

* Sat May 15 1999 Nalin Dahyabhai <nsdahya1@eos.ncsu.edu>
- started changelog
- updated existing 1.0.5 RPM from Eos Linux to krb5 1.0.6
- added --force to makeinfo commands to skip errors during build

